## de.sockenklaus.XmlStats.XmlWorkers
Class XmlWorker

    java.lang.Object
      de.sockenklaus.XmlStats.XmlWorkers.XmlWorker

All Implemented Interfaces:
  com.sun.net.httpserver.HttpHandler

Direct Known Subclasses:
  XmlWorkerMoney, XmlWorkerUsers, XmlWorkerUserstats

    public abstract class XmlWorker

extends java.lang.Object
implements com.sun.net.httpserver.HttpHandler

The Class XmlWorker.

Constructor Summary
`XmlWorker()`

Method Summary
`void` `handle(com.sun.net.httpserver.HttpExchange exchange)`
`java.util.Map<java.lang.String,java.util.List<java.lang.String>>` `parseParameters(java.lang.String queryString)` Parses the parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlWorker

    public XmlWorker()

Method Detail

### handle

    public void handle(com.sun.net.httpserver.HttpExchange exchange)

  Specified by:
    `handle` in interface `com.sun.net.httpserver.HttpHandler`

### parseParameters

    public java.util.Map<java.lang.String,java.util.List<java.lang.String>> parseParameters(java.lang.String queryString)
                                                                                     throws java.io.UnsupportedEncodingException

  Parses the parameters.

  Parameters:
    `queryString` - the query string
  Returns:
    the map
  Throws:
    `java.io.UnsupportedEncodingException` - the unsupported encoding exception